package domain


type AlibabaWdkSkuUpdateChannelProp struct {
    /*
        渠道属性，取值为key-value键值对形式     */
    Props  *[]AlibabaWdkSkuUpdatePropField `json:"props,omitempty" `

    /*
        渠道类型：txd淘鲜达，elm饿了么，shareStore共享库存     */
    ChannelType  *string `json:"channel_type,omitempty" `

}

func (s *AlibabaWdkSkuUpdateChannelProp) SetProps(v []AlibabaWdkSkuUpdatePropField) *AlibabaWdkSkuUpdateChannelProp {
    s.Props = &v
    return s
}
func (s *AlibabaWdkSkuUpdateChannelProp) SetChannelType(v string) *AlibabaWdkSkuUpdateChannelProp {
    s.ChannelType = &v
    return s
}
